> For the complete documentation index, see [llms.txt](https://docs.bless.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bless.net/blessnet-api/ethereals-chainid-address.md).

# /ethereals/:chainId/:address

{% hint style="info" %}
You need an API key for this call.\
\
Please reach out to the Blessnet team to get setup.
{% endhint %}

<mark style="color:green;">`GET`</mark> `/ethereals/:chainId/:address`

The `/etherals/:chainId/:address` endpoint returns details of a specific ethereal account.

### **Headers**

| Name        | Value        |
| ----------- | ------------ |
| `x-api-key` | Your API key |

### **Path Variables**

<table><thead><tr><th width="215">Name</th><th width="130">Mandatory?</th><th width="119">Default</th><th>Value</th></tr></thead><tbody><tr><td><code>:chainId</code></td><td>Yes</td><td></td><td>the chain the source token lives on</td></tr><tr><td><code>:address</code></td><td>Yes</td><td></td><td>The source token address you are querying</td></tr></tbody></table>

### **Response Body**

The response provides an `ethereal` object structured as follows:

<table><thead><tr><th width="256">Name</th><th width="114">Type</th><th width="389">Description</th></tr></thead><tbody><tr><td><code>_id</code></td><td><code>string</code></td><td>The unique Id for this transfer</td></tr><tr><td><code>ethereal</code></td><td><code>string</code></td><td>The contract address of the ethereal collection.</td></tr><tr><td><code>status</code></td><td><code>string</code></td><td>The status of the ethereal. Possible values are:<br>- <code>active</code><br>- <code>unfunded</code> (funds are below the level required for synchronisation.</td></tr><tr><td><code>balance</code></td><td><code>string</code></td><td>The balance of the ethereal contract.</td></tr><tr><td><code>sourceChain</code></td><td><code>string</code></td><td>The source chain for the contract being mirrored..</td></tr><tr><td><code>sourceContract</code></td><td><code>string</code></td><td>The source contract being mirrored.</td></tr><tr><td><code>tokenName</code></td><td><code>string</code></td><td>The name of the ethereal contract.</td></tr><tr><td><code>tokenSymbol</code></td><td><code>string</code></td><td>The symbol of the ethereal contract.</td></tr><tr><td><code>lastCheckedAt</code></td><td><code>Date</code></td><td>Unix date</td></tr><tr><td><code>lastSyncedAt</code></td><td><code>number</code></td><td>Unix timestamp of when this was last synced.</td></tr><tr><td><code>deposits</code></td><td>array</td><td>Array of objects detailing the ethereal's deposit history.</td></tr></tbody></table>

### **Example Request**

<pre><code><strong>GET https://api.bless.net/ethereals/1/0xe77c4e5e17ea350993cac2eb48bb50dbcccc956b
</strong></code></pre>

### **Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "ethereal": {
        "_id": "67c2fa24cf1e3ed713202e89",
        "ethereal": "0x61dcf30947a1d7f67a0b61dfcefc4e842724d66b",
        "status": "active",
        "balance": "1099756711100000000",
        "sourceChain": "1",
        "sourceContract": "0xe77c4e5e17ea350993cac2eb48bb50dbcccc956b",
        "tokenName": "Ethereal EtherTree",
        "tokenSymbol": "ETREE",
        "lastCheckTimestamp": 1740953590,
        "lastCheckDate": "2025-03-02T22:13:10.793Z",
        "lastSyncTimestamp": 1740953590,
        "lastSyncDate": "2025-03-02T22:13:10.793Z",
        "deposits": [
            {
                "timestamp": 1740831267,
                "depositor": "0xB95511Bfc49F2F90D3B828233AAb40aFA566fF62",
                "deposit": "1000000000000000"
            },
            {
                "timestamp": 1740943235,
                "depositor": "0x61bF58101f64b178d6433865B7EFA59c2A30ba9B",
                "deposit": "1100000000000000000"
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bless.net/blessnet-api/ethereals-chainid-address.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
